Index: src/main/java/com/tourMate/entities/Business.java
===================================================================
--- src/main/java/com/tourMate/entities/Business.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/Business.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -88,5 +88,5 @@
     }
 
-    @OneToOne(fetch = FetchType.LAZY)
+    @OneToOne(fetch = FetchType.EAGER)
     @JoinColumn(name = "owner_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_biznis_kon_korisnik"))
     public User getUser() {
@@ -107,3 +107,4 @@
         this.approved = approved;
     }
+
 }
Index: src/main/java/com/tourMate/entities/HotelRoom.java
===================================================================
--- src/main/java/com/tourMate/entities/HotelRoom.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/HotelRoom.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -1,3 +1,2 @@
-<<<<<<< HEAD
 package com.tourMate.entities;
 
@@ -160,140 +159,2 @@
     }
 }
-=======
-package com.tourMate.entities;
-
-import jakarta.persistence.*;
-import com.fasterxml.jackson.annotation.JsonIgnore;
-
-import javax.validation.constraints.NotNull;
-
-@Entity
-@Table(name="hotel_rooms", schema = "public")
-public class HotelRoom {
-    private long hotelRoomId;
-    @JsonIgnore
-    private Hotels hotel;
-    private String hotelRoomDescription;
-    @Enumerated(EnumType.STRING)
-    private String hotelRoomName;
-    private double price;
-    private Boolean kitchenAvailable;
-    private Boolean airConditioning;
-    private Boolean balcony;
-
-    public HotelRoom(long hotelRoomId, Hotels hotel, String hotelRoomDescription, String hotelRoomName, double price, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony) {
-        this.hotelRoomId = hotelRoomId;
-        this.hotel = hotel;
-        this.hotelRoomDescription = hotelRoomDescription;
-        this.hotelRoomName = hotelRoomName;
-        this.price = price;
-        this.kitchenAvailable = kitchenAvailable;
-        this.airConditioning = airConditioning;
-        this.balcony = balcony;
-    }
-
-    public HotelRoom(Hotels hotel, String hotelRoomDescription, String type,
-                     Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price) {
-        this.hotel = hotel;
-        this.hotelRoomDescription = hotelRoomDescription;
-        this.hotelRoomName = type;
-        this.kitchenAvailable = kitchenAvailable;
-        this.airConditioning = airConditioning;
-        this.balcony = balcony;
-        this.price = price;
-    }
-
-    public HotelRoom(String hotelRoomDescription, String type,
-                     Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price) {
-        this.hotel = hotel;
-        this.hotelRoomDescription = hotelRoomDescription;
-        this.hotelRoomName = type;
-        this.kitchenAvailable = kitchenAvailable;
-        this.airConditioning = airConditioning;
-        this.balcony = balcony;
-        this.price = price;
-    }
-
-    public HotelRoom() {
-
-    }
-
-    @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
-    @Column(name = "room_id",unique = true,nullable = false)
-    public long getHotelRoomId() {
-        return hotelRoomId;
-    }
-
-    public void setHotelRoomId(long hotelRoomId) {
-        this.hotelRoomId = hotelRoomId;
-    }
-
-    @ManyToOne(fetch = FetchType.LAZY)
-    @JoinColumn(name = "hotel_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_room_kon_hotel"))
-    public Hotels getHotel() {
-        return hotel;
-    }
-
-    public void setHotel(Hotels hotelId) {
-        this.hotel = hotelId;
-    }
-
-    @Column(name="hotel_room_description",unique = false,nullable = false)
-    @NotNull
-    public String getHotelRoomDescription() {
-        return hotelRoomDescription;
-    }
-
-    public void setHotelRoomDescription(String hotelRoomDescription) {
-        this.hotelRoomDescription = hotelRoomDescription;
-    }
-
-    @Column(name="hotel_room_price",unique = false,nullable = false)
-    @NotNull
-    public double getPrice() {
-        return price;
-    }
-
-    @Column(name="hotel_room_name",unique = false,nullable = false)
-    @NotNull
-    public String getHotelRoomName() {
-        return hotelRoomName;
-    }
-
-
-    public void setHotelRoomName(String name) {
-        this.hotelRoomName = name;
-    }
-    public void setPrice(double type) {
-        this.price = type;
-    }
-    @Column(name="hotel_room_kitchen",unique = false,nullable = false)
-    @NotNull
-    public Boolean getKitchenAvailable() {
-        return kitchenAvailable;
-    }
-
-    public void setKitchenAvailable(Boolean kitchenAvailable) {
-        this.kitchenAvailable = kitchenAvailable;
-    }
-    @Column(name="hotel_room_ac",unique = false,nullable = false)
-    @NotNull
-    public Boolean getAirConditioning() {
-        return airConditioning;
-    }
-
-    public void setAirConditioning(Boolean airConditioning) {
-        this.airConditioning = airConditioning;
-    }
-    @Column(name="hotel_room_balcony",unique = false,nullable = false)
-    @NotNull
-    public Boolean getBalcony() {
-        return balcony;
-    }
-
-    public void setBalcony(Boolean balcony) {
-        this.balcony = balcony;
-    }
-}
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
Index: src/main/java/com/tourMate/entities/HotelRoomReservations.java
===================================================================
--- src/main/java/com/tourMate/entities/HotelRoomReservations.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/HotelRoomReservations.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -43,5 +43,5 @@
     }
 
-    @ManyToOne(fetch = FetchType.LAZY)
+    @ManyToOne(fetch = FetchType.EAGER)
     @JoinColumn(name = "room_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_roomres_kon_room"))
     public HotelRoom getHotelRoom() {
@@ -59,5 +59,5 @@
     }
 
-    @OneToOne(fetch = FetchType.LAZY)
+    @OneToOne(fetch = FetchType.EAGER)
     @JoinColumn(name = "user_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_roomres_kon_user"))
     public User getUser() {
Index: src/main/java/com/tourMate/entities/MenuImages.java
===================================================================
--- src/main/java/com/tourMate/entities/MenuImages.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
+++ src/main/java/com/tourMate/entities/MenuImages.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -0,0 +1,46 @@
+package com.tourMate.entities;
+
+import jakarta.persistence.*;
+import lombok.Data;
+
+@Entity
+public class MenuImages {
+    @Id
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    private long imageId;
+    @ManyToOne
+    private Menu menu;
+    private String url;
+
+    public MenuImages(Menu menu, String url) {
+        this.menu = menu;
+        this.url = url;
+    }
+
+    public MenuImages() {
+    }
+
+    public long getImageId() {
+        return imageId;
+    }
+
+    public void setImageId(long imageId) {
+        this.imageId = imageId;
+    }
+
+    public Menu getMenu() {
+        return menu;
+    }
+
+    public void setMenu(Menu menu) {
+        this.menu = menu;
+    }
+
+    public String getUrl() {
+        return url;
+    }
+
+    public void setUrl(String url) {
+        this.url = url;
+    }
+}
Index: src/main/java/com/tourMate/entities/RestaurantImages.java
===================================================================
--- src/main/java/com/tourMate/entities/RestaurantImages.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/RestaurantImages.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -31,5 +31,5 @@
     }
 
-    @ManyToOne(fetch = FetchType.LAZY)
+    @ManyToOne(fetch = FetchType.EAGER)
     @JoinColumn(name="restaurant_id",unique = false,nullable = false,foreignKey = @ForeignKey(name = "fk_ref_od_restimg_kon_restoran"))
     public Restaurant getRestaurant() {
Index: src/main/java/com/tourMate/entities/RestaurantReservations.java
===================================================================
--- src/main/java/com/tourMate/entities/RestaurantReservations.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/RestaurantReservations.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -82,5 +82,5 @@
     }
 
-    @ManyToOne(fetch = FetchType.LAZY)
+    @ManyToOne(fetch = FetchType.EAGER)
     @JoinColumn(name = "user_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_rezervacija_restoran_kon_korisnik"))
     public User getUser() {
Index: src/main/java/com/tourMate/entities/Reviews.java
===================================================================
--- src/main/java/com/tourMate/entities/Reviews.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/Reviews.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -75,5 +75,5 @@
 
     @ManyToOne(fetch = FetchType.LAZY)
-    @JoinColumn(name = "hotel_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_hotel"))
+    @JoinColumn(name = "hotel_id", unique = false, nullable = true, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_hotel"))
     public Hotels getHotel () {
         return hotel;
@@ -85,5 +85,5 @@
 
     @ManyToOne(fetch = FetchType.LAZY)
-    @JoinColumn(name = "restaurant_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_restorani"))
+    @JoinColumn(name = "restaurant_id", unique = false, nullable = true, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_restorani"))
     public Restaurant getRestaurant () {
         return restaurant;
@@ -95,5 +95,5 @@
 
     @ManyToOne(fetch = FetchType.LAZY)
-    @JoinColumn(name = "transport_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_transport"))
+    @JoinColumn(name = "transport_id", unique = false, nullable = true, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_transport"))
     public Transport getTransport () {
         return transport;
Index: src/main/java/com/tourMate/entities/User.java
===================================================================
--- src/main/java/com/tourMate/entities/User.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/entities/User.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -52,5 +52,5 @@
     private Role role;
     @Column(name = "locked", unique = false, nullable = false)
-    boolean locked;
+    boolean locked = false;
 
     @Column(name = "enabled", unique = false, nullable = false)
@@ -96,4 +96,7 @@
     }
 
+    public boolean isLocked() {
+        return locked;
+    }
 
     public long getUserID() {
@@ -162,5 +165,5 @@
     @Override
     public boolean isAccountNonLocked() {
-        return true;
+        return locked;
     }
 
